org.jetlang.remote.acceptor

## Class NioAcceptorHandler

- java.lang.Object
- - org.jetlang.remote.acceptor.NioAcceptorHandler

All Implemented Interfaces:
  org.jetlang.fibers.NioChannelHandler

    public class NioAcceptorHandler
    extends Object
    implements org.jetlang.fibers.NioChannelHandler

### Nested Class Summary

Nested Classes
`static interface` `NioAcceptorHandler.ClientFactory`

### Constructor Summary

Constructors
Constructor and Description
`NioAcceptorHandler(ServerSocketChannel channel, NioAcceptorHandler.ClientFactory clientHandler, Runnable onEnd)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected boolean` `afterAccept(SocketChannel accept)`
`static NioAcceptorHandler` `create(int port, NioAcceptorHandler.ClientFactory clientHandler, Runnable onEnd)`
`static NioAcceptorHandler` `create(int port, NioAcceptorHandler.ClientFactory clientHandler, Runnable onEnd, int backlogmax)`
`ServerSocketChannel` `getChannel()`
`int` `getInterestSet()`
`void` `onEnd()`
`boolean` `onSelect(org.jetlang.fibers.NioFiber nioFiber, org.jetlang.fibers.NioControls controls, SelectionKey key)`
`void` `onSelectorEnd()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioAcceptorHandler

    public NioAcceptorHandler(ServerSocketChannel channel,
                              NioAcceptorHandler.ClientFactory clientHandler,
                              Runnable onEnd)

### Method Detail

#### onSelect

    public boolean onSelect(org.jetlang.fibers.NioFiber nioFiber,
                            org.jetlang.fibers.NioControls controls,
                            SelectionKey key)

Specified by:
  `onSelect` in interface `org.jetlang.fibers.NioChannelHandler`

#### afterAccept

    protected boolean afterAccept(SocketChannel accept)

#### getChannel

    public ServerSocketChannel getChannel()

Specified by:
  `getChannel` in interface `org.jetlang.fibers.NioChannelHandler`

#### getInterestSet

    public int getInterestSet()

Specified by:
  `getInterestSet` in interface `org.jetlang.fibers.NioChannelHandler`

#### onEnd

    public void onEnd()

Specified by:
  `onEnd` in interface `org.jetlang.fibers.NioChannelHandler`

#### onSelectorEnd

    public void onSelectorEnd()

Specified by:
  `onSelectorEnd` in interface `org.jetlang.fibers.NioChannelHandler`

#### create

    public static NioAcceptorHandler create(int port,
                                            NioAcceptorHandler.ClientFactory clientHandler,
                                            Runnable onEnd)

#### create

    public static NioAcceptorHandler create(int port,
                                            NioAcceptorHandler.ClientFactory clientHandler,
                                            Runnable onEnd,
                                            int backlogmax)